﻿namespace ConditionalFieldsInObject.Converter
{
    using System;
    using System.Globalization;
    using System.Windows.Data;
    using System.Windows;

    [ValueConversion(typeof(decimal), typeof(bool))]
    public class AddressConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, CultureInfo culture)
        {
            if (values.Length > 0 && values[0] != DependencyProperty.UnsetValue)
            {
                var showFullAddress = (bool)values[0];
                if (showFullAddress) return string.Format("{0} {1}", values[1] , values[2]);
            }
            return string.Empty;
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }

    }
}
